Name:           clish
Version:        0.7.3      
Release:        1%{?dist}
Summary:        Command Line Interface

Group:         Applications
License:       GPL 
#URL:            
Source0:  	http://sourceforge.net/projects/clish/files/clish/0.7.3/%{name}-%{version}.tar.gz   
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires: 	libtool    

%description
			Command Line Interface
A modular framework for implementing a CISCO-like CLI on a *NIX system. Arbitary command menus and actions can be defined using XML files. This software handles the user interaction, and forks the appropriate system commands to perform any actions. 


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/clish
install -m 775 xml-examples/* ${RPM_BUILD_ROOT}%{_sysconfdir}/clish/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(644,root,root,755)
%doc 
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.so.*

%{_libdir}/lib*.la
%{_includedir}/clish/*.h
%{_includedir}/lub/*.h
%{_includedir}/tinyrl/*.h
%{_includedir}/tinyxml/*.h
%{_libdir}/lib*.a
%{_sysconfdir}/clish/*.xml
%{_sysconfdir}/clish/*.txt
%{_sysconfdir}/clish/README
%{_sysconfdir}/clish/*.am

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date}   Devil Wang <wxjeacen  at fedoraproject.org>
- Initial Introduction	<wxjeacen AT,gmail.com>
